Bug 971823 - [abrt] mysql-workbench-5.2.47-2.fc18: grt::internal::Value::release: Process /usr/libexec/mysql-workbench-bin was killed by signal 11 (SIGSEGV)
[abrt] mysql-workbench-5.2.47-2.fc18: grt::internal::Value::release: Process ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mysql-workbench (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
abrt_hash:4131ffe0cf2b68e4a536b2d8dd9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 06:48 EDT by chris
Modified: 2014-02-05 16:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:43:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (84.89 KB, text/plain)
2013-06-07 06:48 EDT, chris
no flags Details
File: cgroup (128 bytes, text/plain)
2013-06-07 06:48 EDT, chris
no flags Details
File: dso_list (18.38 KB, text/plain)
2013-06-07 06:48 EDT, chris
no flags Details
File: environ (2.38 KB, text/plain)
2013-06-07 06:48 EDT, chris
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-07 06:48 EDT, chris
no flags Details
File: maps (85.58 KB, text/plain)
2013-06-07 06:48 EDT, chris
no flags Details
File: open_fds (1.44 KB, text/plain)
2013-06-07 06:48 EDT, chris
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2013-06-07 06:48 EDT, chris
no flags Details

  None (edit)
Description chris 2013-06-07 06:48:04 EDT
Description of problem:
Opened MySQL Workbench, connected to localhost, selected database from list, crashed.  Unable to re-produce again, happens form time to time.  

Version-Release number of selected component:
mysql-workbench-5.2.47-2.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/libexec/mysql-workbench-bin
core_backtrace: 
crash_function: grt::internal::Value::release
executable:     /usr/libexec/mysql-workbench-bin
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jun  7 11:36:03 localhost abrt[5550]: Saved core dump of pid 5511 (/usr/libexec/mysql-workbench-bin) to /var/tmp/abrt/ccpp-2013-06-07-11:36:02-5511 (172699648 bytes)
xsession_errors: (mysql-workbench-bin:8158): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion `node != NULL' failed

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 grt::internal::Value::release at ../../../library/grt/src/grtpp_value.h:150
 #1 get_app_option at workbench/wb_context.cpp:184
 #2 operator()<grt::ValueRef, grt::ValueRef (*)(const std::basic_string<char>&, wb::WBContext*), boost::_bi::list1<std::basic_string<char>&> > at /usr/include/boost/bind/bind.hpp:303
 #3 operator()<std::basic_string<char> > at /usr/include/boost/bind/bind_template.hpp:32
 #4 boost::detail::function::function_obj_invoker1<boost::_bi::bind_t<grt::ValueRef, grt::ValueRef (*)(std::string const&, wb::WBContext*), boost::_bi::list2<boost::arg<1>, boost::_bi::value<wb::WBContext*> > >, grt::ValueRef, std::string>::invoke at /usr/include/boost/function/function_template.hpp:132
 #5 boost::function1<grt::ValueRef, std::string>::operator() at /usr/include/boost/function/function_template.hpp:760
 #6 bec::GRTManager::get_app_option at grt/grt_manager.cpp:875
 #7 Mysql_sql_parser_fe::Mysql_sql_parser_fe at src/mysql_sql_parser_fe.cpp:340
 #8 Mysql_sql_syntax_check::check_sql_statement(char const*, boost::function<Sql_parser_base::Parse_result (mysql_parser::SqlAstNode const*)>, Sql_syntax_check::ObjectType) at src/mysql_sql_syntax_check.cpp:168
 #9 Mysql_sql_syntax_check::check_sql at src/mysql_sql_syntax_check.cpp:125

Potential duplicate: bug 853271
Comment 1 chris 2013-06-07 06:48:09 EDT
Created attachment 758125 [details]
File: backtrace
Comment 2 chris 2013-06-07 06:48:12 EDT
Created attachment 758126 [details]
File: cgroup
Comment 3 chris 2013-06-07 06:48:15 EDT
Created attachment 758127 [details]
File: dso_list
Comment 4 chris 2013-06-07 06:48:18 EDT
Created attachment 758128 [details]
File: environ
Comment 5 chris 2013-06-07 06:48:21 EDT
Created attachment 758129 [details]
File: limits
Comment 6 chris 2013-06-07 06:48:24 EDT
Created attachment 758130 [details]
File: maps
Comment 7 chris 2013-06-07 06:48:27 EDT
Created attachment 758131 [details]
File: open_fds
Comment 8 chris 2013-06-07 06:48:30 EDT
Created attachment 758132 [details]
File: proc_pid_status
Comment 9 Fedora End Of Life 2013-12-21 08:54:17 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2014-02-05 16:43:03 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.